#ifndef _Container_H__
#define _Container_H__

#include <vector>
using namespace std;

class Mesh;
class MeshInstance;
class ViewCell;
class HierarchyNode;
class SceneGraphNode;

/** Container for Mesh pointers primarily for the use within the kDTree and
    BSP hierarchies */
typedef vector<MeshInstance *> MeshContainer;

/** Container for ViewCell pointers primarily for the use within the kDTree and
    BSP hierarchies */

typedef vector<ViewCell *> ViewCellContainer;
/** Container for HierarchyNodes pointers primarily for the use within the kDTree and
    BSP hierarchies */

typedef vector<HierarchyNode *> NodeContainer;

typedef vector<SceneGraphNode *> SceneGraphNodeContainer;



#endif // _Container_H__

